

#include <avr/io.h>
#include "ee_mem.h"

//--------------------------------- 
void ee_write(char address, char data)
{
	while(EECR & (1<<EEPE)); 		//Wait for completion of previous write
	EECR = (0<<EEPM1)|(0>>EEPM0);	//Set Programming mode

	EEARL = address;				//Set up address and data registers
	EEDR = data;

	EECR |= (1<<EEMPE);				//Write logical one to EEMPE
	EECR |= (1<<EEPE);				//Start eeprom write by setting EEPE
}

//--------------------------------- 
char ee_read(char address)
{
	while(EECR & (1<<EEPE));		//Wait for completion of previous write

	EEARL = address;				//Set up address register
	EECR |= (1<<EERE);				//Start eeprom read by writing EERE

	return EEDR;					//Return data from data register
}
